Bug 182100 - Usage of iconv is missing in java/openjdk6 b27_7
Usage of iconv is missing in java/openjdk6 b27_7
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: Guido Falsi
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-14 22:30 UTC by m.viey
Modified: 2013-09-26 02:14 UTC (History)
0 users

See Also:


Attachments
file.diff (396 bytes, patch)
2013-09-14 22:30 UTC, m.viey
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description m.viey 2013-09-14 22:30:00 UTC
In the Makefile of last commit of openjdk6-6-b27_7, usage of libiconv is not spécified.

This cause bluej can't start the jvm with this error :
"Error output from debug VM on launch:/usr/local/openjdk6/jre/lib/amd64/libnpt.so: Undefined symbol "libiconv_open""

Fix: Modify line 56 of the Makefile :

USES = gmake motif

to 

USES = gmake motif iconv

I tested this patch and it's ok on my system.

Patch attached with submission follows:
How-To-Repeat: Run Bluej with openjdk6. An error message will occur. In the logs of bluej we will find the line above.
Comment 1 Guido Falsi freebsd_committer 2013-09-15 19:51:43 UTC
Responsible Changed
From-To: freebsd-java->madpilot

I'll take it.
Comment 2 dfilter freebsd_committer 2013-09-15 19:56:05 UTC
Author: madpilot
Date: Sun Sep 15 18:55:58 2013
New Revision: 327353
URL: http://svnweb.freebsd.org/changeset/ports/327353

Log:
  - Add missing iconv USES
  
  PR:		java/182100
  Submitted by:	m.viey@wanadoo.fr
  Approved by:	portmgr (bapt, implicit)

Modified:
  head/java/openjdk6/Makefile

Modified: head/java/openjdk6/Makefile
==============================================================================
--- head/java/openjdk6/Makefile	Sun Sep 15 18:28:44 2013	(r327352)
+++ head/java/openjdk6/Makefile	Sun Sep 15 18:55:58 2013	(r327353)
@@ -53,7 +53,7 @@ FASTDEBUG_DESC=	Include fastdebug build
 TEST_DESC=	Add support for running regression test
 .endif
 
-USES=		gmake motif
+USES=		gmake iconv motif
 
 .include <bsd.port.options.mk>
 .include "${.CURDIR}/../openjdk6/Makefile.icedtea"
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 3 Guido Falsi freebsd_committer 2013-09-15 20:05:53 UTC
State Changed
From-To: open->closed

Committed. Thanks!